# reginadata

## Name

reginadata — An entire Regina data file

## Synopsis

Content Model

    reginadata ::= (packet)

Attributes
Name | Type
`engine` | CDATA (required)

## Description

A `reginadata` element is the top-level element for a Regina data file. The single `packet` element that it contains is the root of the packet tree stored in this data file.

### Parents

Being the top-level element of a data file, `reginadata` has no parents.

### Children

The following elements occur in `reginadata`: `packet`.

## Attributes

`engine`

  The full version of the Regina calculation engine that wrote this data file.

  If this file was created by hand or by an external program, the `engine` attribute should reflect this (it might contain the name and version of the external program, for instance).